Bug 491016 - menu can't handle compressed scalable icons
menu can't handle compressed scalable icons
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 17:47 EDT by Christian Krause
Modified: 2009-12-01 20:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 20:04:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compressed icon which is not displayed in the menu (4.10 KB, image/svg+xml-compressed)
2009-03-18 17:47 EDT, Christian Krause
no flags Details
desktop file for testing purposes (639 bytes, application/octet-stream)
2009-03-18 17:48 EDT, Christian Krause
no flags Details

  None (edit)
Description Christian Krause 2009-03-18 17:47:45 EDT
Created attachment 335772 [details]
compressed icon which is not displayed in the menu

Description of problem:
During a package review I've found the problem, that the attached gzip'ed svg icon does not appear in the gnome menu. If I uncompress the file manually, it is displayed without any problems.

Version-Release number of selected component (if applicable):
gnome-panel-2.24.3-1.fc10.i386


How reproducible:
100%


Steps to Reproduce:
1. copy the attached file into /usr/share/icons/hicolor/scalable/apps
2. copy the attached .desktop file into /usr/share/applications
3. run gtk-update-icon-cache (don't forget to touch the hicolor dir, etc.)
4. check the menu (Audio/Video, Frescobaldi) -> no icon
5. gunzip the icon, it should be named frescobaldi.svg
6. run gtk-update-icon-cache
6. check the menu -> icon is displayed
  
Expected results:
the gzip'ed icon should be displayed, too
Comment 1 Christian Krause 2009-03-18 17:48:36 EDT
Created attachment 335773 [details]
desktop file for testing purposes
Comment 2 Bug Zapper 2009-11-18 06:33:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christian Krause 2009-11-18 11:16:53 EST
I can still reproduce the problem in F12.
Comment 4 Matthias Clasen 2009-12-01 20:04:14 EST
The icon theme spec requires icons to be of certain formats:

The image files must be one of the types: PNG, XPM, or SVG, and the extension must be ".png", ".xpm", or ".svg" (lower case). The support for SVG files is optional. Implemenations that does not support SVGs should just ignore any ".svg" files. In addition to this there may be an additional file with extra icon-data for each file. It should have the same basename as the image file, with the extension ".icon". e.g. if the icon file is called "mime_source_c.png" the corresponding file would be named "mime_source_c.icon".

Note You need to log in before you can comment on or make changes to this bug.